import random
import time
import matplotlib.pyplot as plt
from statistics import mean

points = 100
degree = 2 # croissance de la taille de la liste (en n^degree)
repetition = 10
resultats = []

for i in range(points):
	size = i**degree
	L = list(range(size))
	tps = []
	for _ in range(repetition):
		init_time = time.time_ns()
		K = L[:]
		stop_time = time.time_ns()
		tps.append((stop_time - init_time)/10**6)
	resultats.append(tps)

plt.plot(
	[(i**degree) for i in range(points)],
	[mean(x) for x in  resultats],
	marker="."
	)

plt.xlabel("taille de la liste")
plt.ylabel("temps (en seconde)")
plt.title('temps pour la copy d\'une liste')
plt.savefig("cours3/liste_copy.png")
